curl --request POST \
--url https://api.devhelm.io/api/v1/deploy/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lockedBy": "<string>",
"ttlMinutes": 30
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lockedBy": "<string>",
"lockedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}Acquires an exclusive deploy lock for the current workspace. Returns 409 Conflict if the workspace is already locked by another session.
curl --request POST \
--url https://api.devhelm.io/api/v1/deploy/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lockedBy": "<string>",
"ttlMinutes": 30
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lockedBy": "<string>",
"lockedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}API key (dh_live_...) or Auth0 JWT token
Created
Represents an active deploy lock for a workspace
Show child attributes